/* passion-one-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Passion One';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/passion-one-v18-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}


body {
	margin: 0;
	background-color: #fff;
	color: #fff;
	font-family: Monospace;
	font-size: 13px;
	line-height: 24px;
	overscroll-behavior: none;
	overflow:hidden;
}

#codescreen{
	display:none;
}

.code #codescreen{
	display:block;
}

#score{
	color:#fff;
	font-family:'Passion One';
	font-weight:400;
	top:1rem;
	left:1rem;
	position:absolute;
	z-index:51;
	font-size:3rem;
	text-shadow: 1px 0px 6px rgba(0, 0, 0, 1);
}

#countdown{
	position:absolute;
	top:20%;
	width:100%;
	text-align:center;
	font-size:20rem;
	color:#fff;
	font-family:'Passion One';
	font-weight:400;
	text-shadow: 1px 0px 6px rgba(0, 0, 0, 1);
	display:none;
	z-index:51;
}

.scorescreen #scorescreen{
	display:inline-block;
}

#scorescreen{
	position:fixed;
	background-color:#000;
	width:100%;
	height:100vH;
	aspect-ratio:9/16;
	z-index:55;
	top:0;
	background-image:url(../images/gameover.png);
	background-size:contain;
	background-repeat:no-repeat;
	background-position:center;
	display:none;
}

#scoreholder{
	width:100%;
	text-align:center;
	margin-top:6vH;
	font-size:5rem;
	font-family:'Passion One';
	font-weight:400;
	text-shadow: 1px 0px 6px rgba(0, 0, 0, 1);
	line-height:5.5rem;
}


#gameover{
	position:absolute;
	top:20%;
	width:100%;
	text-align:center;
	font-size:10rem;
	color:#fff;
	font-family:'Passion One';
	font-weight:400;
	line-height:10rem;
	text-shadow: 1px 0px 6px rgba(0, 0, 0, 1);
	display:none;
	z-index:50;
	
}

a {
	color: #ff0;
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

button {
	cursor: pointer;
	text-transform: uppercase;
}

#to_left
{
	padding:3%;
    position: absolute;
    z-index: 555565;
    left: 0;
    bottom: 0;
    width: 25%;
	height:100vH;
	align-items:flex-end;
	display:flex;
}


#to_left svg{
	stroke: #fff;
	fill: #fff;
	width:80%;
} 

#to_left.active svg,#to_left:active svg, #to_left:focus svg, #continue:focus svg{
	stroke: #a2c510;
	fill: #a2c510;
} 

#continue
{
    position: absolute;
    z-index: 555565;
    bottom: 0;
    width: 100%;
	height:3rem;
	align-items:flex-end;
	display:flex;
	 justify-content: center;
	 padding-bottom:2%;
	 cursor:pointer;
}

#continue svg{
	stroke: #fff;
	fill: #fff;
	width:90px;
	height:auto;
}

#continue.active svg,#continue:active svg, #continue:focus svg, #continue:focus svg{
	stroke: #a2c510;
	fill: #a2c510;
} 

#to_right
{
	padding:3%;
    position: absolute;
    z-index: 555265;
    right: 0;
    bottom: 0;
    width: 25%;
	height:100vH;
	align-items:flex-end;
	display:flex;
}

#to_right.active svg,#to_right:active svg, #to_right:focus svg{
	stroke: #a2c510;
	fill: #a2c510;
}

#to_right svg{
	stroke: #fff;
	fill: #fff;
	width:80%;
	height:auto;
	margin-left:20%;
}

#leben{
	position:absolute;
	top:0;
	z-index:50;
	right:0;
	width:168px;
	height:57px;
	background-repeat:no-repeat;
	background-size:100%;
	letter-spacing:2px;
}

.leben_3{
	background-image:url(../game_assets/leben_3.png);
}
.leben_2{
	background-image:url(../game_assets/leben_2.png);
}
.leben_1{
	background-image:url(../game_assets/leben_1.png);
}
.leben_0{
	background-image:url(../game_assets/leben_0.png);
}

#info_street{
	position:absolute;
	top:50px;
	left:0;
	background-color:#000;
	color:#fff;
}

#info {
	position: absolute;
	top: 0px;
	width: 100%;
	padding: 10px;
	box-sizing: border-box;
	text-align: center;
	-moz-user-select: none;
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;
	pointer-events: none;
	z-index: 1; /* TODO Solve this in HTML */
}

a, button, input, select {
	pointer-events: auto;
}

#uid{
	display:none;
}

#confetti-canvas{
	position:absolute;
	top:0;
}

.lil-gui {
	z-index: 2 !important; /* TODO Solve this in HTML */
}

@media all and ( max-width: 640px ) {
	.lil-gui.root { 
		right: auto;
		top: auto;
		max-height: 50%;
		max-width: 80%;
		bottom: 0;
		left: 0;
	}
}

#overlay {
	position: absolute;
	font-size: 16px;
	z-index: 2;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	background: rgba(0,0,0,0.7);
}

	#overlay button {
		background: transparent;
		border: 0;
		border: 1px solid rgb(255, 255, 255);
		border-radius: 4px;
		color: #ffffff;
		padding: 12px 18px;
		text-transform: uppercase;
		cursor: pointer;
	}

#notSupported {
	width: 50%;
	margin: auto;
	background-color: #f00;
	margin-top: 20px;
	padding: 10px;
}

#container{
    height: 100vH;
    width: auto;
    aspect-ratio: 0.5625;
    margin-left: auto;
    margin-right: auto;
	border:1px solid black;
	position:relative;
	display:none;
}


.game #container{
	display:block;
}

.transition #container{
	display:block;
}
.transition #score{
	display:none;
}

.transition #leben{
	display:none;
}

.transition #to_left{
	display:none;
}

.transition #to_right{
	display:none;
}

.gameover #gameover{
	display:block;
}


.gameover #container{
	display:block;
}

.gameover #leben{
	display:none;
}

.gameover #to_left{
	display:none;
}

.gameover #to_right{
	display:none;
}


@keyframes fadeInOut {
  0% {
    opacity: 100; /* Start with transparency */
	height:100%;
  }
  10% {
    opacity: 1; /* Fade in */
  }
  90% {
    opacity: 1; /* Stay fully visible */
  }
  99%{
	height:100%;
  }
  100% {
    opacity: 0; /* Fade out */
	height:0;
  }
}

/* Apply animation to the element */
.fade-in-out {
  position: fixed; /* Fixed position */
  width:auto;
  height:100vH;
  aspect-ratio: 9/16;
  background-color: white; /* White background */
  padding: 20px; /* Adjust padding as needed */
  animation: fadeInOut 1s ease-in-out; /* Adjust animation duration as needed */
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index:100;
}

/* Hide the element after animation */
.fade-in-out {
  animation-fill-mode: forwards; /* Keeps the last keyframe state (opacity: 0) */
}